# tr1/type_traits File Reference

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1

## Defines

- #define _DEFINE_SPEC(_Trait, _Type)
- #define _GLIBCXX_BEGIN_NAMESPACE_TR1
- #define _GLIBCXX_END_NAMESPACE_TR1
- #define _GLIBCXX_INCLUDE_AS_TR1
- #define _GLIBCXX_TR1
- #define _GLIBCXX_TR1_TYPE_TRAITS

## Detailed Description

This is a TR1 C++ Library header.

Definition in file tr1/type_traits.